unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  kbdlay, StdCtrls, Grids, Mask, asaCDlg, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    ControlLayouts1: TControlLayouts;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    KbdLayout1: TKbdLayout;
    KbdLayoutText: TLabel;
    UpDown1: TUpDown;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    MaskEdit1: TMaskEdit;
    Memo2: TMemo;
    ComboBox1: TComboBox;
    StringGrid1: TStringGrid;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure KbdLayout1LayoutChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure StringGrid1SelectCell(Sender: TObject; Col, Row: LongInt;
      var CanSelect: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses
  kbddsgn;
{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  EditControlsLayouts(ControlLayouts1);
end;

procedure TForm1.UpDown1Click(Sender: TObject; Button: TUDBtnType);
var
  L: Integer;
begin
  L := -1;
  if Button = btNext then begin
    if KbdLayout1.CurLayout < (KbdLayout1.LayoutCount-1) then
      L := KbdLayout1.CurLayout + 1
    else
      L := 0;
  end else begin
    if KbdLayout1.CurLayout > 0 then
      L := KbdLayout1.CurLayout - 1
    else
      L := KbdLayout1.LayoutCount - 1;
  end;
  if L > -1 then
    KbdLayout1.CurLayout := L;
end;

procedure TForm1.KbdLayout1LayoutChange(Sender: TObject);
begin
  KbdLayoutText.Caption :=
  KbdLayout1.GetLayoutName(KbdLayout1.CurLayout);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  KbdLayout1.Active := True;
  ControlLayouts1.Active := True;
end;

procedure TForm1.StringGrid1SelectCell(Sender: TObject; Col, Row: LongInt;
  var CanSelect: Boolean);
begin
  if Col = 0 then
    KbdLayout1.CurLayout := 0
  else
    KbdLayout1.CurLayout := 1;
end;

end.
